lorom

org $00833E
JML fix_rot_a ;Fix A Parameter for Miscellaneous Backgrounds
nop ;Pad Opcode
nop ;Pad Opcode

org $008352
JML fix_rot_c ;Fix C Parameter for Miscellaneous Backgrounds
nop ;Pad Opcode
nop ;Pad Opcode

org $0185C6
LDA.b #ball_gfx ;Ball Graphics Low Byte Source

org $0185CA
LDA.b #ball_gfx>>8 ;Ball Graphics Middle Byte Source

org $0185CE
LDA.b #ball_gfx>>16 ;Ball Graphics High Byte Source

org $018658
LDA.b #sprite_gfx ;Game Sprite Graphics Low Byte Source

org $01865C
LDA.b #sprite_gfx>>8 ;Game Sprite Graphics Middle Byte Source

org $018660
LDA.b #sprite_gfx>>16 ;Game Sprite Graphics High Byte Source

org $028527
LDA.b #password_gfx ;Password Graphics Low Byte Source

org $02852B
LDA.b #password_gfx>>8 ;Password Graphics Middle Byte Source

org $02852F
LDA.b #password_gfx>>16 ;Password Graphics High Byte Source

org $028697
bra $02 ;Skip Loading Old Top Half of Password Cursor Graphics

org $0286C8
bra $02 ;Skip Loading Old Center-Top of Password Cursor Graphics

org $0286F9
bra $02 ;Skip Loading Old Center-Bottom of Password Cursor Graphics

org $02872A
bra $02 ;Skip Loading Old Bottom of Password Cursor Graphics

org $02DD72
LDA.b #tutorialman_gfx ;Tutorial Man Graphics Low Byte Source

org $02DD76
LDA.b #tutorialman_gfx>>8 ;Tutorial Man Graphics Middle Byte Source

org $02DD7A
LDA.b #tutorialman_gfx>>16 ;Tutorial Man Graphics High Byte Source

org $0191D0
JML fix_map ;Fix Map Scale for Widescreen
NOP ;Pad Opcode

org $1FDE00
fix_map:
LDA $08DF ;Get Map X Scale
TAY ;Save Original Map X Scale for Multiply by 3
ASL A ;Multiply Map X Scale by 2
STA $14 ;Temporarily Save Doubled Map X Scale
TYA ;Get Saved Map X Scale
ADC $14 ;Triple Map X Scale
CMP #$8000 ;Check if Map X Scale Needs Carry
ROR A ;Divide Map X Scale by 2
STA $14 ;Save New Map X Scale
JML $0191D5 ;Return Back to Game
fix_rot_a:
LDA $0100 ;Get Original Background A Parameter
ASL A ;Double Original Background A Parameter
ADC $0100 ;Triple Original Background A Parameter
CMP #$8000 ;Check if Background A Parameter Needs Carry
ROR A ;Divide Background A Parameter by 2
LDY #$211B ;Destination Address for A Parameter
JML $008344 ;Return to Game
fix_rot_c:
LDA $0104 ;Get Original Background C Parameter
ASL A ;Double Original Background C Parameter
ADC $0104 ;Triple Original Background C Parameter
CMP #$8000 ;Check if Background C Parameter Needs Carry
ROR A ;Divide Background C Parameter by 2
LDY #$211D ;Destination Address for C Parameter
JML $008358 ;Return to Game

org $208000 ;Graphics Bank
ball_gfx:
incbin "ballgfx.bin"
sprite_gfx:
incbin "spritegfx.bin"
tutorialman_gfx:
incbin "tutorialman.bin"
password_gfx:
incbin "passwordgfx.bin"